
QGIS Application - Bug report #19725

vertex tool snapping to all layers

2018-08-28 12:31 PM - Klaus Agerskov

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:3.2.2 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 27550

Description

I work on Windows 10 64 bit with QGIS 3.2.2

When I use the vertex tool it will snap to all layers in the project. I have tried only to activate snapping on current layer and deactivated all

other layers in the project but it still snaps to all notes so if I have a line following a polygon and I need to edit the polygon I will struggle to

avoid the line even when I cant see it.

Related issues:

Related to QGIS Application - Bug report # 19260: [Digitizing] The "Enable sn... Closed 2018-06-25

Duplicates QGIS Application - Bug report # 18434: QGIS 3.0 new node tool pick... Closed 2018-03-13

History

#1 - 2018-08-29 04:42 PM - Giovanni Manghi

- Status changed from Open to Feedback

Duplicate of #18434 ?

Does this "solve" the issue #18434-7 ?

#2 - 2018-08-29 04:57 PM - Klaus Agerskov

You are right it is a duplicate but it is not solved by #18434-7

see #19260

#3 - 2018-08-29 05:36 PM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Feedback to Closed

#4 - 2018-08-29 07:35 PM - Jürgen Fischer

- Duplicates Bug report #18434: QGIS 3.0 new node tool picks up nodes of hidden layers & isn;t constrained by selected layers added

#5 - 2018-08-29 07:35 PM - Jürgen Fischer

- Related to Bug report #19260: [Digitizing] The "Enable snapping on invisible features" option is always unchecked added
